Loading...
Searching...
No Matches
ss7_route_table.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/linuxlist.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_ss7_route_table

## Functions

struct osmo_ss7_route_table * | ss7_route_table_find (struct osmo_ss7_instance *inst, const char *name)
struct osmo_ss7_route_table * | ss7_route_table_find_or_create (struct osmo_ss7_instance *inst, const char *name)
void | ss7_route_table_destroy (struct osmo_ss7_route_table *rtbl)
struct osmo_ss7_route * | ss7_route_table_find_route_by_dpc (struct osmo_ss7_route_table *rtbl, uint32_t dpc)
| Find a SS7 route for given destination point code in given table.
struct osmo_ss7_route * | ss7_route_table_find_route_by_dpc_mask (struct osmo_ss7_route_table *rtbl, uint32_t dpc, uint32_t mask)
| Find a SS7 route for given destination point code + mask in given table.
void | ss7_route_table_del_routes_by_as (struct osmo_ss7_route_table *rtbl, struct osmo_ss7_as *as)
void | ss7_route_table_del_routes_by_linkset (struct osmo_ss7_route_table *rtbl, struct osmo_ss7_linkset *lset)

## Function Documentation

## ss7_route_table_del_routes_by_as()

void ss7_route_table_del_routes_by_as | ( | struct osmo_ss7_route_table * | rtbl,
|  | struct osmo_ss7_as * | as
| ) |  |

References osmo_ss7_route::as, osmo_ss7_route::dest, osmo_ss7_route::list, osmo_ss7_route_table::routes, and ss7_route_destroy().

Referenced by osmo_ss7_as_destroy().

## ss7_route_table_del_routes_by_linkset()

void ss7_route_table_del_routes_by_linkset | ( | struct osmo_ss7_route_table * | rtbl,
|  | struct osmo_ss7_linkset * | lset
| ) |  |

References osmo_ss7_route::dest, osmo_ss7_route::linkset, osmo_ss7_route::list, osmo_ss7_route_table::routes, and ss7_route_destroy().

Referenced by ss7_linkset_destroy().

## ss7_route_table_destroy()

void ss7_route_table_destroy | ( | struct osmo_ss7_route_table * | rtbl | ) |

References osmo_ss7_route_table::list.

## ss7_route_table_find()

struct osmo_ss7_route_table * ss7_route_table_find | ( | struct osmo_ss7_instance * | inst,
|  | const char * | name
| ) |  |

References osmo_ss7_route_table::cfg, osmo_ss7_route_table::inst, osmo_ss7_route_table::list, osmo_ss7_route_table::name, osmo_ss7_instance::rtable_list, and ss7_initialized.

Referenced by ss7_route_table_find_or_create().

## ss7_route_table_find_or_create()

struct osmo_ss7_route_table * ss7_route_table_find_or_create | ( | struct osmo_ss7_instance * | inst,
|  | const char * | name
| ) |  |

References osmo_ss7_route_table::inst, osmo_ss7_route_table::name, ss7_initialized, ss7_route_table_alloc(), and ss7_route_table_find().

Referenced by ss7_instance_alloc().

## ss7_route_table_find_route_by_dpc()

struct osmo_ss7_route * ss7_route_table_find_route_by_dpc | ( | struct osmo_ss7_route_table * | rtbl,
|  | uint32_t | dpc
| ) |  |

Find a SS7 route for given destination point code in given table.

References osmo_ss7_instance::cfg, osmo_ss7_route::cfg, dpc, osmo_ss7_route_table::inst, osmo_ss7_route::list, osmo_ss7_route::mask, osmo_ss7_pc_normalize(), osmo_ss7_route::pc, osmo_ss7_instance::pc_fmt, osmo_ss7_route_table::routes, and ss7_initialized.

Referenced by handle_rkey_dereg(), and osmo_ss7_route_lookup().

## ss7_route_table_find_route_by_dpc_mask()

struct osmo_ss7_route * ss7_route_table_find_route_by_dpc_mask | ( | struct osmo_ss7_route_table * | rtbl,
|  | uint32_t | dpc,
|  | uint32_t | mask
| ) |  |

Find a SS7 route for given destination point code + mask in given table.

References osmo_ss7_instance::cfg, osmo_ss7_route::cfg, dpc, osmo_ss7_route_table::inst, osmo_ss7_route::list, osmo_ss7_route::mask, osmo_ss7_pc_normalize(), osmo_ss7_route::pc, osmo_ss7_instance::pc_fmt, osmo_ss7_route_table::routes, and ss7_initialized.

Referenced by _rout_key(), DEFUN_ATTR(), ipa_add_route(), ipa_del_route(), osmo_sccp_simple_client_on_ss7_id(), ss7_route_create(), and ss7_route_insert().